File: changelog

package info (click to toggle)
codenarc 0.23-5
  • links: PTS, VCS
  • area: main
  • in suites: buster, sid
  • size: 11,312 kB
  • sloc: java: 2,530; xml: 1,088; makefile: 21
file content (104 lines) | stat: -rw-r--r-- 3,283 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
codenarc (0.23-5) unstable; urgency=medium

  * Team upload.
  * Fixed the build failure with Java 9 (Closes: #893118)
  * Standards-Version updated to 4.1.3
  * Switch to debhelper level 11

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 29 Mar 2018 12:50:46 +0200

codenarc (0.23-4) unstable; urgency=medium

  * Team upload.
  * Remove myself from uploaders list. (Closes: #871846).
  * Bump DH compat level to 10.
  * Update copyright info to format 1.0.
  * Update watch file.

 -- Miguel Landaeta <nomadium@debian.org>  Wed, 23 Aug 2017 21:03:23 +0100

codenarc (0.23-3) unstable; urgency=medium

  * Team upload.
  * Update debian/maven.rules to replace jUnit4 version dependency with 4.x.
    Thank you to Christopher Hoskin for the triage. (Closes: #833641)
  * Add notimestamp=true to groovydoc invocation in debian/build.xml
    for reproducible builds.

 -- tony mancill <tmancill@debian.org>  Sun, 07 Aug 2016 10:04:56 -0700

codenarc (0.23-2) unstable; urgency=medium

  * Team upload.
  * Depend on groovy2 instead of groovy
  * Standards-Version updated to 3.9.8 (no changes)
  * Use secure Vcs-* URLs

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 10 May 2016 22:19:11 +0200

codenarc (0.23-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Transition to Groovy 2
    - New build dependency on junit4
  * debian/control:
    - Standards-Version updated to 3.9.6 (no changes)
  * Switch to debhelper level 9

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 20 Nov 2015 11:24:23 +0100

codenarc (0.17-2) unstable; urgency=low

  * Upload to unstable.
  * d/control: Remove DM-Upload-Allowed flag.
  * d/control: Bump Standards-Version to 3.9.4 (no changes needed).
  * d/control: Use canonical URL for Vcs-* fields.

 -- Damien Raude-Morvan <drazzib@debian.org>  Mon, 06 May 2013 01:14:21 +0200

codenarc (0.17-1) experimental; urgency=low

  * New upstream release.
  * Add myself as Uploaders.
  * d/patches/gmetrics_interface_sourcecode.diff: Drop, fixed upstream.
  * d/patches/groovy_18.diff: Fix Groovy 1.8 compat.
  * d/classpath-debian: Add ant.jar.
  * d/build.{xml,properties}: Small directory fixes for new upstream.

 -- Damien Raude-Morvan <drazzib@debian.org>  Mon, 20 Aug 2012 23:06:53 +0200

codenarc (0.13-2) unstable; urgency=low

  [ Miguel Landaeta]
  * Fix FTBFS error due to changes in GMetrics library. (Closes: #655807).
  * Bump Standards-Version to 3.9.3. No changes were required.
  * Update copyright file.

  [ tony mancill ]
  * Set DMUA flag.

 -- Miguel Landaeta <miguel@miguel.cc>  Fri, 15 Jun 2012 19:19:49 -0430

codenarc (0.13-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.9.2. No changes were required.
  * Update copyright dates and make it DEP-5 compliant.
  * Correctly order dh7 call helper parameters.
  * Enable jh_depends during build since is working again.
  * Set Class-Path in CodeNarc jar.

 -- Miguel Landaeta <miguel@miguel.cc>  Wed, 11 May 2011 20:28:17 -0430

codenarc (0.11-1) UNRELEASED; urgency=low

  * New upstream release.

 -- Miguel Landaeta <miguel@miguel.cc>  Mon, 27 Dec 2010 20:29:36 -0430

codenarc (0.9-1) unstable; urgency=low

  * Initial release. (Closes: #593797).

 -- Miguel Landaeta <miguel@miguel.cc>  Sat, 21 Aug 2010 17:53:41 -0430